### Method

# EDataBook BookBackend take_view_user_data

since: 3.50

#### Declaration [src]

    void
    e_book_backend_take_view_user_data (
      EBookBackend* backend,
      gsize view_id,
      GObject* user_data
    )

#### Description [src]

Sets the user data for the `view_id`. The function assumes ownership of the `user_data`. The `user_data` can be `NULL`, which unsets the current user data for the view.

This is primarily aimed as a helper for backend implementations of the manual query views (`E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`).

Available since: 3.50

#### Parameters

`view_id`

  Type: `gsize`

  A view identifier.

`user_data`

  Type: `GObject`

  User data to set.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.